#ifndef _KRB5_INT_STD_H
#define _KRB5_INT_STD_H

#  define krb5_seteuid(EUID)    (seteuid((uid_t)(EUID)))

#define KRB5_ENV_CCNAME "KRB5CCNAME"

#define SNPRINTF_OVERFLOW(result, size) \
    ((unsigned int)(result) >= (size_t)(size))

static inline krb5_data
make_data(void *data, unsigned int len)
{
    krb5_data d;

    d.magic = KV5M_DATA;
    d.data = (char *) data;
    d.length = len;
    return d;
}

#endif
